Bug 112473 - Mouse problems at touchpads using kernel 2.6
Mouse problems at touchpads using kernel 2.6
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
: 115612 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-20 08:15 EST by Robert Scheck
Modified: 2015-01-04 17:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2003-12-20 08:15:57 EST
Description of problem, how reproducible, steps to reproduce:
I've got a HP Omnibook 6100 using Fedora Code 1 and I upgraded to 
arjanv's Kernel 2.6 today. 

Now, I've got problems with the touchpad: 
- I can't double-touch (like as the double-click at the mouse), so it 
doesn't do anything...so I can't mark words at the X-Server in a 
console with a double click, for example.
- The normal click about the touchpad doesn't work, too. I always 
have to use the buttons under the touchpad, that's very annoying for 
me.
- And the third thing is, the mouse cursor makes hops and hangs if I 
move it using the touchpad. It buckels if I move it and it hops at 
the screen when I touch or left with my finger the touchpad :-(

So normal work using at the touchpad at the laptop isn't possible for 
me.

Version-Release number of selected component (if applicable):
kernel-2.6.0-1.104

Expected results:
Working touchpad without buckels and hops ;-)

Additional info:
It worked in Kernel 2.4 (Red Hat/Fedora Kernels) without any problem.
Comment 1 Scott Russell 2004-02-14 07:44:27 EST
Installed FC2 Test1: Touch pad is not working. I can move the mouse
(most of the time), but tap does not equal maouse click. Also wheel
does not work. The touch pad worked correctly under FC1.
Comment 2 Christopher Barton 2004-02-14 23:45:10 EST
I had this problem as well.  Disabling the synaptics detect fixed it
for me.

--- linux-2.6.1/drivers/input/mouse/psmouse-base.c.orig	2004-02-14
12:33:39.989517304 -0600
+++ linux-2.6.1/drivers/input/mouse/psmouse-base.c	2004-02-14
12:34:04.154843616 -0600
@@ -341,78 +341,9 @@
 
 static int psmouse_extensions(struct psmouse *psmouse)
 {
-	int synaptics_hardware = 0;
-
 	psmouse->vendor = "Generic";
 	psmouse->name = "Mouse";
 	psmouse->model = 0;
-
-/*
- * Try Synaptics TouchPad
- */
-	if (psmouse_max_proto > PSMOUSE_PS2 && synaptics_detect(psmouse)) {
-		synaptics_hardware = 1;
-		psmouse->vendor = "Synaptics";
-		psmouse->name = "TouchPad";
-
-		if (psmouse_max_proto > PSMOUSE_IMEX) {
-			if (synaptics_init(psmouse) == 0)
-				return PSMOUSE_SYNAPTICS;
-/*
- * Some Synaptics touchpads can emulate extended protocols (like IMPS/2).
- * Unfortunately Logitech/Genius probes confuse some firmware versions so
- * we'll have to skip them.
- */
-			psmouse_max_proto = PSMOUSE_IMEX;
-		}
-	}
-
-	if (psmouse_max_proto > PSMOUSE_IMEX && genius_detect(psmouse)) {
-		set_bit(BTN_EXTRA, psmouse->dev.keybit);
-		set_bit(BTN_SIDE, psmouse->dev.keybit);
-		set_bit(REL_WHEEL, psmouse->dev.relbit);
-
-		psmouse->vendor = "Genius";
-		psmouse->name = "Wheel Mouse";
-		return PSMOUSE_GENPS;
-	}
-
-	if (psmouse_max_proto > PSMOUSE_IMEX) {
-		int type = ps2pp_detect(psmouse);
-		if (type)
-			return type;
-	}
-
-	if (psmouse_max_proto >= PSMOUSE_IMPS && intellimouse_detect(psmouse)) {
-		set_bit(REL_WHEEL, psmouse->dev.relbit);
-
-		if (psmouse_max_proto >= PSMOUSE_IMEX &&
-					im_explorer_detect(psmouse)) {
-			set_bit(BTN_SIDE, psmouse->dev.keybit);
-			set_bit(BTN_EXTRA, psmouse->dev.keybit);
-
-			psmouse->name = "Explorer Mouse";
-			return PSMOUSE_IMEX;
-		}
-
-		psmouse->name = "Wheel Mouse";
-		return PSMOUSE_IMPS;
-	}
-
-/*
- * Okay, all failed, we have a standard mouse here. The number of the
buttons
- * is still a question, though. We assume 3.
- */
-	if (synaptics_hardware) {
-/*
- * We detected Synaptics hardware but it did not respond to IMPS/2
probes.
- * We need to reset the touchpad because if there is a track point on the
- * pass through port it could get disabled while probing for protocol
- * extensions.
- */
-		psmouse_command(psmouse, NULL, PSMOUSE_CMD_RESET_DIS);
-	}
-
 	return PSMOUSE_PS2;
 }
 
Comment 3 Mike A. Harris 2004-02-15 00:43:50 EST
*** Bug 115612 has been marked as a duplicate of this bug. ***
Comment 4 Aleksey Nogin 2004-02-18 00:16:09 EST
See also bug 99509.
Comment 5 Robert Scheck 2004-05-18 18:09:27 EDT
Kernel 2.6 from Fedora Core 2 doesn't solve my touchpad problems.

There are still the same problems as I described at first:
- I can't use the touchpad for (double) clicking (by touching two 
  times fast the touchpad).
- The mouse cursor makes hops and hangs if I move it using the 
  touchpad. It buckels if I move it and it hops at the screen when I 
  touch or left with my finger the touchpad :-(

What's up?

At current I'm able to reproduce that (wrong) behaviour at HP
Omnibook 6000 and 6100.
Comment 6 Jens Lautenbacher 2004-05-21 05:04:33 EDT
I can confirm this behaviour for FC2. The only thing that helped me
was to install the X11 synaptics driver from
http://w1.894.telia.com/~u89404340/touchpad/ although this driver has
it's own problems -- e.g. it will send the button press/release
sequence when single tapping so fast that you will not get any visual
feedback (e.g. pressed buttons) that you really tapped.
Comment 7 David Lowe 2004-05-23 17:39:50 EDT
I had similar problems with a synaptics touchpad on a Dell Inspiron
4150. The solution for me was to add:
psmouse.proto=imps 
on the kernel command line at boot time.
Comment 8 Arindam Dey 2004-06-03 02:51:10 EDT
I can vouch for the above method passing psmouse.proto=imps 
everything is ok again. My double touch on the touchpad is working as 
is the wheel mouse. 

I just used it to make it work on a Samsung X10 laptop. I have not 
tried the Synaptics driver or commenting out the Synaptics detection 
in the kernel.

I do not even know what will be the advantage of using the synaptics 
driver but I am happy as it is. :-) Plain IMPS rocks for me.
Comment 9 Robert Scheck 2004-06-07 13:49:30 EDT
Well, thanks David and Arindam, but psmouse.proto=imps doesn't  
really solve it, so the touchpad got a normal behaviour, but the  
drag and drop, I had it in Fedora Core 1 with Kernel 2.4 (mark  
text, drag & drop) doesn't work...so it isn't the perfect solution, 
but a very good one :) 
Comment 10 Arjan van de Ven 2004-06-09 06:00:47 EDT
Can people on this bug please try the latest 424 kernel from
http://people.redhat.com/arjanv/2.6 
it has a bunch of touchpad fixes, including one that's supposed to
make tapping work again
Comment 11 Robert Scheck 2004-06-13 18:24:39 EDT
Sorry Arjan, but kernel-2.6.6-1.427 even doesn't solve it for me. I've 
got to use psmouse.proto=imps further on to have a widely normal
touchpad behaviour...
Comment 12 Harry Waye 2004-07-18 17:54:57 EDT
psmouse.proto=imps gets touch pad working but still irratic movements.
Comment 13 Kasper Dupont 2005-01-08 15:17:48 EST
I see some symptoms that may be related to this bug. I use
kernel-2.6.9-1.11_FC2, and if I boot without an external USB mouse
attached the scroll area on my Touch Pad doesn't work correctly. If an
external USB mouse is connected, it works fine. A diff on dmesg output
from the two cases revealed this:

@@ -179,14 +179,7 @@
 drivers/usb/input/hid-core.c: v2.0:USB HID core driver
 mice: PS/2 mouse device common for all mice
 input: AT Translated Set 2 keyboard on isa0060/serio0
-Synaptics Touchpad, model: 1
- Firmware: 5.8
- Sensor: 35
- new absolute packet format
- Touchpad has extended capability bits
- -> multifinger detection
- -> palm detection
-input: SynPS/2 Synaptics TouchPad on isa0060/serio1
+input: ImPS/2 Generic Wheel Mouse on isa0060/serio1
 md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
 NET: Registered protocol family 2
 IP: routing cache hash table of 1024 buckets, 32Kbytes

Appending psmouse.proto=imps to the kernel arguments seems to solve
the problem.
Comment 14 Dave Jones 2005-04-16 01:44:23 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.